Bug 517687 - samba_selinux manpage does not mention ':s0' at end of file list
Summary: samba_selinux manpage does not mention ':s0' at end of file list
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 11
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-16 06:01 UTC by John Villalovos
Modified: 2015-05-08 14:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-28 15:50:53 UTC


Attachments (Terms of Use)

Description John Villalovos 2009-08-16 06:01:43 UTC
In the samba_selinux manpage it has this content:

FILE_CONTEXTS
SELinux requires files to have an extended attribute to define the file
type.   Policy  governs the access daemons have to these files.  If you
want to share files other than home directories, those  files  must  be
labeled samba_share_t.  So if you created a special directory /var/eng,
you would need to label the directory with the chcon tool.

chcon -t samba_share_t /var/eng

If you want to make this permanant, i.e. survive a  relabel,  you  must
add an entry to the file_contexts.local file.

/etc/selinux/POLICYTYPE/contexts/files/file_contexts.local
/var/eng(/.*)? system_u:object_r:samba_share_t
------------------------------------------------------------------
The end of the last line above should have ':s0' at the end, I believe.

Comment 1 Miroslav Grepl 2009-08-18 12:29:30 UTC
John,
I see following from the samba_selinux manpage:

-------------------------------------

chcon -t samba_share_t /var/eng

To  make  this change permanent (survive a relabel), use the semanage command to add the change to file context configuration:

semanage fcontext -a -t samba_share_t "/var/eng(/.*)?"

This    command    adds    the    following   entry   to
/etc/selinux/POLICYTYPE/contexts/files/file_contexts.local:

/var/eng(/.*)? system_u:object_r:samba_share_t

---------------------------------------

Dan,
probably should be added ':s0', but what do you think about removing following lines:

-This    command    adds    the    following   entry   to
-/etc/selinux/POLICYTYPE/contexts/files/file_contexts.local:

-/var/eng(/.*)? system_u:object_r:samba_share_t

Comment 2 Daniel Walsh 2009-08-18 12:35:48 UTC
Miroslav add the latest man pages from rawhide to F11.

Comment 3 Miroslav Grepl 2009-08-20 15:10:52 UTC
Fixed in selinux-policy-3.6.12-79.fc11

Comment 4 Bug Zapper 2010-04-28 09:47:20 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.